kernel 2.6.24-20 cannot find nvidia graphics card

Bug #256186 reported by krahim on 2008-08-08
2
Affects Status Importance Assigned to Milestone
nvidia-graphics-drivers-173 (Ubuntu)
Undecided
Unassigned

Bug Description

After upgrading "sudo apt-get upgrade" and rebooting my nvidia graphics card is not found.
When I select the previous kernel everything works fine.

From the working kernel
uname -a
Linux ubuntult01 2.6.24-19-generic #1 SMP Fri Jul 11 21:01:46 UTC 2008 x86_64 GNU/Linux

OS. Linux-x86_64
Nvidia driver version 173.14.12

GeForce Go 6150 with 256 MB an HP dv 20000 laptop.

Note this happened with Edgy and was *never* resolved for the newer kernels in Edgy.

Thanks,
Karim

Daniel Moerner (dmoerner) wrote :

You must recompile the nvidia proprietary driver each time you install a new kernel. Please try the following, from the new kernel, in a tty:

sudo m-a a-i nvidia

krahim (karim-rahim) wrote :

Daniel,

I have not had recompile the nvidia proprietary drivers when I did kernel upgrades using apt-get update/upgrade in the past.

I installed module-assistant and tried what you said from the 2.6.24-21 kernel. The source compile failed.

I currently have the 2.6.24-19, 2.6.24.20, and 2.6.24-21 kernels and only the 19 works (locates the nvidia video card)

Karim

thedoorguy (thedoorguy) wrote :

After upgrade to 8.4.1 kernel 2.6.24-21 neither my nvdia graphics card nor my viewsonic monitor are recognized. ,

Initially, a couple kernels ago, I had to use the envyNG program to get the kernel to recognize the card and monitor. Everything worked great until the -21 update.

When I run envyNG with -21 kernel the envyNG screen log says it recognizes the graphics card and monitor then uninstalsl old module and installs new one. Upon reboot the kernel still does not recognize my graphics card or monitor.

When I boot back using the -19 kernel I have to run envyNG again and screen graphics do not function completely right again until I reboot a couple times.

I have installed all updates since the kernel updated but none have corrected the problem.

equipment: Home built using xfx nforce 610i MB with onboard NVDIA Geforce 7050 graphics and sound, intel p4 dual core 2.2g, 1 gig ram, 30g and 40g hd, dvd write/read, cdrom.

If there is not an immediate fix for this problem please tell me how to delete the -21 kernel because it is a real pain in the ass to have to manually select a different kernel at startup.

Thanks, TheDoorGuy AKA Richard

thedoorguy (thedoorguy) wrote :

Release 8.4.1 kernel 2.6.24-22 works fine. For Me....the problem is resolved.

TheDoorGuy AKA Richard

Hi I was able to format and burn with 8.10. I tried it after the upgrade.

karim@ubuntu01:~$ dvd+rw-format -force /dev/cdrom1
* BD/DVD±RW/-RAM format utility by <email address hidden>, version 7.1.
* 4.7GB DVD+RW media detected.
/sbin/umount.hal: Unmounting /media/testrw failed:
org.freedesktop.Hal.Device.Volume.Busy: umount: /media/testrw: device
is busy.
:-( unable to proceed with format: Device or resource busy
karim@ubuntu01:~$ dvd+rw-format -force /dev/cdrom1
* BD/DVD±RW/-RAM format utility by <email address hidden>, version 7.1.
* 4.7GB DVD+RW media detected.
* formatting 0.8-

 growisofs -Z /dev/cdrom1 -R -J file1.avi file2.avi
Executing 'genisoimage -R -J Desktop/prv-jcmfp-cd1.avi
Desktop/prv-jcmfp-cd2.avi | builtin_dd of=/dev/cdrom1 obs=32k seek=0'
I: -input-charset not specified, using utf-8 (detected in locale settings)
Using PRV_J000.AVI;1 for /prv-jcmfp-cd2.avi (prv-jcmfp-cd1.avi)
  0.70% done, estimate finish Sat Jan 17 16:12:36 2009
  1.40% done, estimate finish Sat Jan 17 16:10:13 2009
  2.10% done, estimate finish Sat Jan 17 16:09:26 2009
/dev/cdrom1: "Current Write Speed" is 8.2x1352KBps.
  2.80% done, estimate finish Sat Jan 17 16:10:49 2009
  3.50% done, estimate finish Sat Jan 17 16:10:42 2009
  4.20% done, estimate finish Sat Jan 17 16:10:37 2009
  4.90% done, estimate finish Sat Jan 17 16:10:54 2009
...
 99.31% done, estimate finish Sat Jan 17 16:10:14 2009
Total translation table size: 0
Total rockridge attributes bytes: 347
Total directory bytes: 0
Path table size(bytes): 10
Max brk space used 0
714951 extents written (1396 MB)
builtin_dd: 714960*2KB out @ average 7.3x1352KBps
/dev/cdrom1: flushing cache
/dev/cdrom1: stopping de-icing
/dev/cdrom1: writing lead-out

uname -1

Linux ubuntu01 2.6.27-9-generic #1 SMP Thu Nov 20 21:57:00 UTC 2008
i686 GNU/Linux

I haven't tried it in 64 bit yet, but I did make a cdrom coaster there
with the new kernel.

Karim

On Sat, Nov 29, 2008 at 1:05 AM, thedoorguy <email address hidden> wrote:
> Release 8.4.1 kernel 2.6.24-22 works fine. For Me....the problem is
> resolved.
>
> TheDoorGuy AKA Richard
>
> --
> kernel 2.6.24-20 cannot find nvidia graphics card
> https://bugs.launchpad.net/bugs/256186
> You received this bug notification because you are a direct subscriber
> of the bug.
>

Bryce Harrington (bryce) on 2009-04-07
Changed in nvidia-graphics-drivers-173 (Ubuntu):
status: Incomplete → Confirmed
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers